Name:           python-pyscipopt
Version:        5.5.0
Release:        %autorelease
Summary:        Python interface and modeling environment for SCIP

License:        MIT
URL:            https://github.com/scipopt/PySCIPOpt
Source:         %{url}/archive/v%{version}/PySCIPOpt-%{version}.tar.gz

# Remove bogus execute permission and shebang line from sudoku example
# https://github.com/scipopt/PySCIPOpt/pull/1008
Patch:          %{url}/pull/1008.patch

BuildSystem:            pyproject
BuildOption(install):   -l pyscipopt

BuildRequires:  gcc-c++
BuildRequires:  libscip-devel

BuildRequires:  %{py3_dist pytest}

%global common_description %{expand:
This project provides an interface from Python to the SCIP Optimization Suite.}

%description %{common_description}


%package -n python3-pyscipopt
Summary:        %{summary}

%description -n python3-pyscipopt %{common_description}


%package examples
Summary:        Examples for PySCIPOpt

BuildArch:      noarch

%description examples
%{summary}.


%prep -a
# https://docs.fedoraproject.org/en-US/packaging-guidelines/#_beware_of_rpath
sed -r -i 's/^([[:blank:]]*)(.*-Wl,-rpath)/\1# \2/' setup.py


%build -p
export CFLAGS="${CFLAGS} -I/usr/include/scip"


%check -a
%pytest -v


%files -n python3-pyscipopt -f %{pyproject_files}
%doc CHANGELOG.md
%doc CITATION.bib
%doc README.md


%files examples
%license LICENSE
%doc examples/*


%changelog
%autochangelog
